Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Class ImportRule

    java.lang.Object
      org.apache.batik.css.engine.StyleSheet
          org.apache.batik.css.engine.MediaRule
              org.apache.batik.css.engine.ImportRule

All Implemented Interfaces:
  Rule

    public class ImportRule

extends MediaRule

This class represents a @import CSS rule.

Field Summary
`static short` | `TYPE` The type constant.
`protected ParsedURL` | `uri` The URI of the imported stylesheet.

Fields inherited from class org.apache.batik.css.engine.MediaRule
`mediaList`

Fields inherited from class org.apache.batik.css.engine.StyleSheet
`alternate, media, parent, rules, size, title`

Constructor Summary
`ImportRule()`

Method Summary
`short` | `getType()` Returns a constant identifying the rule type.
`ParsedURL` | `getURI()` Returns the URI of the imported stylesheet.
`void` | `setURI(ParsedURL u)` Sets the URI of the imported stylesheet.
`String` | `toString(CSSEngine eng)` Returns a printable representation of this import rule.

Methods inherited from class org.apache.batik.css.engine.MediaRule
`getMediaList, setMediaList`

Methods inherited from class org.apache.batik.css.engine.StyleSheet
`append, clear, getMedia, getParent, getRule, getSize, getTitle, isAlternate, setAlternate, setMedia, setParent, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

  The type constant.

  See Also:
    Constant Field Values

### uri

    protected ParsedURL uri

  The URI of the imported stylesheet.

Constructor Detail

### ImportRule

    public ImportRule()

Method Detail

### getType

    public short getType()

  Returns a constant identifying the rule type.

  Specified by:
    `getType` in interface `Rule`
  Overrides:
    `getType` in class `MediaRule`

### setURI

    public void setURI(ParsedURL u)

  Sets the URI of the imported stylesheet.

### getURI

    public ParsedURL getURI()

  Returns the URI of the imported stylesheet.

### toString

    public String toString(CSSEngine eng)

  Returns a printable representation of this import rule.

  Specified by:
    `toString` in interface `Rule`
  Overrides:
    `toString` in class `MediaRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.